(function(api) {

  api.sectionConstructor['govoyage-upsell'] = api.Section.extend({
      attachEvents: function() {},
      isContextuallyActive: function() {
          return true;
      }
  });

  const govoyage_section_lists = ['Main', 'Clients', 'Logo'];
  govoyage_section_lists.forEach(govoyage_homepage_scroll);

  function govoyage_homepage_scroll(item) {
      item = item.replace(/-/g, '_');
      wp.customize.section('govoyage_' + item + '_section', function(section) {
          section.expanded.bind(function(isExpanding) {
              wp.customize.previewer.send(item, { expanded: isExpanding });
          });
      });
  }
})(wp.customize);